{% extends 'base.html' %} {% block content %}
<div class="container">
{% for message in get_flashed_messages() %}
	
	<div class="alert alert-success alert-dismissible fade show" role="alert">
	  {{ message }}
	  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	</div>
{% endfor %}
</div>
<div class="album py-5 bg-light" id='wrap'>
  <div class="container">    
      <div class="row" style="margin-left: 1px;">
        <div class="col-md-8">
          <iframe src='{{preview_url}}' frameborder="0" width="100%" height="100%" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
        </div>
        <div class="col-md-4">
          <article class="blog-post">
            <h2 class="blog-post-title">{{post.title}}</h2>
            <i class="bi bi-person-workspace"></i>
            <a  href="/profile/{{post.speaker_id}}" class="card-text" id = "GFG" style="color: black">
            {% if post.speaker %}
              {% if post.speaker.family_name %}
                <i class="bi bi-person-workspace">&nbsp;Speaker {{post.speaker.family_name}} {{post.speaker.given_name}}</i>
              {% else %}
                <i class="card-text">&nbsp;Speaker {{post.speaker.name}}</i>
              {% endif %}
            {% else %}
              <i class="card-text">&nbsp;Speaker {{post.uploader.name}}</i>
            {% endif %}
            </a>
            <br>
              <a href="/profile/{{post.puid}}" class="card-text" id = "GFG" style="color: black">
                {% if post.uploader.family_name %}
                <i class="bi bi-person-fill">&nbsp;Posted by {{post.uploader.family_name}} {{post.uploader.given_name}}</i>
                {% else %}
                <i class="bi bi-person-fill">&nbsp;Posted by {{post.uploader.name}}</i>
                {% endif %}
              </a>
            <br>
            <i class="bi bi-calendar3">&nbsp;{{post.talkdate}}</i>
            <hr>
            <h5 class="bi bi-card-text">&nbsp;Description</h5>
            <p> {{post.description}} </p>
            <div>
                {% if host %}
                  <a class="btn btn-success" href="/edit/{{post.post_id}}">Edit here</a>
                  <a class="btn btn-danger" href="{{url_for('delete_post', post_id=post.post_id)}}">Delete</a>
                {% endif %}
            </div>
          </article>
        </div>

        <!-- Comment Modal -->
        {% include 'comment.html' %}

        <!-- Hide input -->
        <input type="hidden" name="post_id" value="{{post.post_id}}">
        {% if rating %} 
            <input type="hidden" id="rating_score" value="{{rating.rating_score}}">
        {% else %}
            <input type="hidden" id="rating_score" value="0">
        {% endif %}
        <!-- End hidden input -->
      </div>

      {% if imgDisplay != [] %}
      <h3 class="imgText">Pictures</h3>
      <div id="carouselExampleIndicators" class="carousel carousel-dark slide" data-bs-ride="carousel">
        <div class="carousel-inner">
          {% for item in imgDisplay %}
          {% if item['img'] != '' %}
          <div class="carousel-item {% if loop.index == 1 %}active{% endif %}">
            <center><img src="{{imgDisplay}}" class="d-block w-100" alt="..." style="height:100%; width:100%; max-width:300px"></center>
          </div>
          {% endif %}
          {% endfor %}
        </div>
        <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Next</span>
        </button>
      </div>
      {% endif %}

      <section style="background-color: #f8f9fa;">
        <div class="container my-5 py-5">
          <div class="row d-flex justify-content-center">
            <div class="col-md-12 col-lg-10">
              <div class="card text-dark" style="border: none;">
                <div class="card-body p-4">
                  <!-- Overall Rate -->
                  <div class="container my-5 py-5" style="padding-left: 0px;">
                    <div class="row">
                      <div class="mb-3">
                        <div class="d-flex flex-start w-100">                   
                          <h5 class="fw-bold mb-1">Rate Summary</h5>
                        </div>
                        <div class="row">                   
                          <div class="col-8">
                            <label for="input-7-xs" class="control-label">
                                <div class="total-ratings">
                                  <div class="index-rating-stars">
                                    <div class="ratings">
                                        <div class="empty-stars"></div>
                                        <div class="full-stars"  style="width:{{average * 100 / 5}}%"></div>
                                    </div>
                                      <span class="count-rating">{{average}} / 5 ({{count_rating}} ratings) </span>
                                  </div>
                                </div>
                            </label>
                          </div>
                          <div class="col">
                            {% if not rating %}
                                  <button type="button" class="btn btn-warning btn-lg float-end" data-bs-toggle="modal" data-bs-target="#rate" data-bs-whatever="@getbootstrap">
                                  <i class="bi bi-plus-circle-dotted"></i>
                                  Add rate</button>
                            {% endif %}
                          </div>
                        </div>

                      </div>
                    </div>
                  </div>
                                    
                  <!-- Display all rates -->
                  {% for rate in ratingData %}
                      <hr class="my-0" /><br/>
                      <div class="d-flex flex-start rating-content-{{rate.id}}">
                        <img
                          class="rounded-circle shadow-1-strong me-3"
                          src="{{rate.rater_avatar}}"
                          alt="avatar"
                          width="60"
                          height="60"
                        />
                        <div class="container">
                          <div class="row">
                            <div class="col-md-8">
                              <h6 class="fw-bold mb-1">{{rate.cmt.name}}</h6>
                            </div>
                            <div class="col-md-4 icon-items">
                              {% if rate.user_id == user.id %}
                              <button class="input-group-text" id="edit-rate" data-bs-toggle="modal" data-bs-target="#rate" data-bs-whatever="@getbootstrap"><i class="bi bi-pen"></i></button>
                              <button type="button" class="input-group-text btn-show-delete" id="{{rate.id}}"><i class="bi bi-trash"></i></button>
                              {% endif %}
                            </div>
                          </div>
                          <div class="d-flex align-items-center mb-3">
                            <p class="mb-0">
                              <div>
                                  <label for="input-7-xs" class="control-label">
                                    <div class="total-ratings">
                                      <div class="index-rating-stars">
                                        <div class="ratings">
                                            <div class="empty-stars"></div>
                                            <div class="full-stars"  style="width:{{rate.rating_score * 100 / 5}}%"></div>
                                        </div>
                                      </div>
                                    </div>
                                </label>
                              </div>
                              {% if rate.datetime %}
                                <span class="small" title=" at {{ rate.datetime.strftime('%H:%M') }}" data-bs-toggle="tooltip" role="button">&nbsp; {{ rate.datetime.strftime('%d-%m-%Y') }}</span>
                              {% endif %}                             
                            </p>
                          </div>
                          <p class="mb-0">{{rate.comment}}</p>
                        </div>
                      </div><br/>
                      
                  {% endfor %}

                  <!-- Delete Modal -->
                  {% include 'delete_rate.html' %}
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
  </div>
</div>
{% endblock %}
